# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class TokenResponse(Model):
    """A response that includes a user token.

    :param connection_name: The connection name
    :type connection_name: str
    :param token: The user token
    :type token: str
    :param expiration: Expiration for the token, in ISO 8601 format (e.g.
     "2007-04-05T14:30Z")
    :type expiration: str
    """

    _attribute_map = {
        'connection_name': {'key': 'connectionName', 'type': 'str'},
        'token': {'key': 'token', 'type': 'str'},
        'expiration': {'key': 'expiration', 'type': 'str'},
    }

    def __init__(self, *, connection_name: str=None, token: str=None, expiration: str=None, **kwargs) -> None:
        super(TokenResponse, self).__init__(**kwargs)
        self.connection_name = connection_name
        self.token = token
        self.expiration = expiration
